using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace textboxSelect
{
  public partial class UserControl1 : TextBox
  {
    //Creo un enumerador, que me va a dar los posibles valores de la propiedad que voy a crear
    public enum Seleccion
    {
      AlfaNumericos,
      Numeros
    }
    //Creo la Propiedad de tipo Seleccion
    private Seleccion _Seleccion;
    /// <summary>
    /// Propiedad que Indica si el textbox recibe caracteres alfaNumericos o Solo Numeros
    /// </summary>
    public Seleccion Tipo
    {
      get { return _Seleccion; }
      set { _Seleccion = value; }
    }
    
    public UserControl1()
    {
      InitializeComponent();
    }

    private void UserControl1_KeyPress(object sender, KeyPressEventArgs e)
    {
      //Solo si el tipo de Caracteres validos es Numeros, realizara la verificacion.
      if (Tipo == Seleccion.Numeros)
      {
        try
        {
          //Valido los datos, si el caracter que se presiona es un numero la propiedad Handled sera falso
          //esto quiere decir que el valor digitado es correcto.
          //La propiedad KeyChar Contiene el caracter que se presiono, 
          //le hacemos un cast para que nos de el valor correspondiente en enteros.
          int CaracterInt = (int)e.KeyChar;
          //Los numeros estan representado por los numeros desde el 48 hasta el 58
          if (CaracterInt < 48 || CaracterInt > 58)
          {
            MessageBox.Show("No se pueden escribir caracteres diferentes a numeros", "Error al Ingresar Caracter");
            e.Handled = true;
          }
        }
        catch (Exception)
        {
          this.Text = "";
          

        }
      }
    }
  }
}